package org.mercury_im.messenger.core.data.repository;

import javax.inject.Inject;
import javax.inject.Singleton;

import lombok.Value;

@Singleton
@Value
public class Repositories {

    AccountRepository accountRepository;
    DirectChatRepository directChatRepository;
    GroupChatRepository groupChatRepository;
    MessageRepository messageRepository;
    PeerRepository peerRepository;
    EntityCapsRepository entityCapsRepository;
    OpenPgpRepository openPgpRepository;

    @Inject
    public Repositories(AccountRepository accountRepository,
                        DirectChatRepository directChatRepository,
                        GroupChatRepository groupChatRepository,
                        MessageRepository messageRepository,
                        PeerRepository peerRepository,
                        EntityCapsRepository entityCapsRepository,
                        OpenPgpRepository openPgpRepository) {
        this.accountRepository = accountRepository;
        this.directChatRepository = directChatRepository;
        this.groupChatRepository = groupChatRepository;
        this.messageRepository = messageRepository;
        this.peerRepository = peerRepository;
        this.entityCapsRepository = entityCapsRepository;
        this.openPgpRepository = openPgpRepository;
    }
}
